Subject: Re: bug#24984: Emacs 25.1.1: Problems with file completion in Windows shell

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Nov 2016 17:49:19 +0200

> Date: Tue, 22 Nov 2016 10:12:16 +0100
> From: "Ulrich Windl" <[email-masked]>
> 
> I think this bug is new compared to Emacs 24.3:
> Shell completion on MS-Windows does not work correctly. For excample:
> ---
> Microsoft Windows [Version 6.1.7601]
> Copyright (c) 2009 Microsoft Corporation. Alle Rechte vorbehalten.
> 
> c:\Windows\system32>cd /Users/Ulrich Windl/
> cd /Users/Ulrich Windl/
> 
> c:\Users\Ulrich Windl>dir
> dir
>  Datenträger in Laufwerk C: ist Windows
>  Volumeseriennummer: 42BC-2012
> 
>  Verzeichnis von c:\Users\Ulrich Windl
> 
> 17.08.2016  14:10    <DIR>          .
> 17.08.2016  14:10    <DIR>          ..
> 04.08.2016  08:21    <DIR>          Application Data
> 15.03.2016  15:19    <DIR>          Contacts
> 17.08.2016  14:21    <DIR>          Desktop
> 18.10.2016  10:21    <DIR>          Documents
> 22.11.2016  09:49    <DIR>          Downloads
> 12.10.2016  10:13    <DIR>          Favorites
> 31.05.2016  12:16    <DIR>          Pictures
> 20.10.2016  08:23    <DIR>          Videos
>                5 Datei(en),          4.542 Bytes
>               20 Verzeichnis(se), 184.763.269.120 Bytes frei
> ---
> 
> When I try to complete "cd D", "Documents" is not in the list of possible
> matches. Instead I see things that are NOT part of the current directory (but
> of c:\Windows\system32), like this:
> Possible completions are:
> DRVSTORE/ 	Dism/ 	DriverStore/
> da-DK/ 	de-DE/ 	de/
> drivers/

I cannot reproduce this, after trying on 2 different machines, running
Windows 7 and XP.

However, the above example shows one potential user error which could
explain what you see: you don't enclose file names with embedded
spaces in quotes:

> c:\Windows\system32>cd /Users/Ulrich Windl/
> cd /Users/Ulrich Windl/

The first line should say

  c:\Windows\system32>cd "/Users/Ulrich Windl/"

or maybe even

  c:\Windows\system32>cd "\Users/Ulrich Windl\"

If you do that, does the problem go away?